NETWORK_FAST-CONNECT-PROVIDER-SERVICE-KEY_GET(1)

NAME
network_fast-connect-provider-service-key_get -

DESCRIPTION

Gets the specified provider service key's information. Use this operation to validate a provider service key. An invalid key returns a 404 error.

USAGE

oci network fast-connect-provider-service-key get [OPTIONS]

REQUIRED PARAMETERS

--provider-service-id [text]

    The OCID of the provider service.

--provider-service-key-name [text]

    The provider service key that the provider gives you when you set up a virtual circuit connection from the provider to Oracle Cloud Infrastructure. You can set up that connection and get your provider service key at the provider's website or portal. For the portal location, see the description attribute of the FastConnectProviderService <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/FastConnectProviderService/>.

OPTIONAL PARAMETERS

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle